## octave-netcdf 1.0.10

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.10
Date: 2016-04-26
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: netcdf
Description: A MATLAB compatible NetCDF interface for Octave
Depends: octave (>= 3.4.0)
BuildRequires: netcdf-devel [Fedora]
BuildRequires: libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv2+
Url: http://modb.oce.ulg.ac.be/mediawiki/index.php/Octave-netcdf, http://octave.sf.net
