## octave-netcdf 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: netcdf
-Version: 1.0.10
-Date: 2016-04-26
+Version: 1.0.11
+Date: 2016-05-19
 Author: Alexander Barth <barth.alexander@gmail.com>
 Maintainer: Alexander Barth <barth.alexander@gmail.com>
 Title: netcdf
