=== debian/changelog ===
octave-netcdf (1.0.11-1) unstable; urgency=medium

  * Imported Upstream version 1.0.11
  * d/p/fix-make-clean.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Jun 2016 05:01:36 -0300

octave-netcdf (1.0.10-1) unstable; urgency=medium

  * Imported Upstream version 1.0.10
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/fix-make-clean.patch: New patch
  * d/clean: Add file

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 16 May 2016 10:21:07 +0200

octave-netcdf (1.0.9-1) unstable; urgency=low

  * Initial release (closes: #819058)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Mar 2016 10:35:01 -0300
