=== debian/control ===
Source: octave-netcdf
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.3),
 libnetcdf-dev
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/netcdf/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-netcdf.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-netcdf.git

Package: octave-netcdf
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: Matlab compatible NetCDF interface for Octave
 This package contains the Octave binding to the NetCDF library,
 allowing the creation, the reading, and the display of meta-data of
 NetCDF files.
 .
 This Octave add-on package is part of the Octave-Forge project.
