=== debian/watch ===
version=3
http://sf.net/octave/netcdf-(.+)\.tar\.gz
