## octave-netcdf 1.0.12

=== debian/changelog ===
octave-netcdf (1.0.12-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:11 +0100

octave-netcdf (1.0.12-3build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:02:10 +0100

octave-netcdf (1.0.12-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 17:49:28 -0300

octave-netcdf (1.0.12-2) unstable; urgency=medium

  * d/s/options: New file
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:45 -0200

octave-netcdf (1.0.12-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 1.0.12
  * d/copyright: Relflect upstream changes
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Apr 2018 01:31:50 -0300

octave-netcdf (1.0.11-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:27 -0200

octave-netcdf (1.0.11-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:07 -0200
