## octave-netcdf 1.0.13

=== debian/changelog ===
octave-netcdf (1.0.13-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 11:44:24 -0300

octave-netcdf (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * d/copyright:
    + Reflect upstream changes
    + Add license for octave-netcdf.metainfo.xml
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:56:48 -0300
