## octave-netcdf 1.0.14

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.14
Date: 2020-10-14
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>, John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 3.8.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv2+
Url: http://octave.sf.net
