=== debian/changelog ===
octave-netcdf (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sun, 18 Oct 2020 03:56:25 -0300
