=== debian/watch ===
version=4
http://sf.net/octave/netcdf-(.+)\.tar\.gz
