## octave-netcdf 1.0.16

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.16
Date: 2022-09-16
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 4.0.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv3+
Url: http://octave.sf.net
