=== debian/changelog ===
octave-netcdf (1.0.16-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Rafael Laboissière ]
  * d/copyright: Update Copyright notices for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 09:33:01 -0300

octave-netcdf (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warnings source-is-missing
    and debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 18 Sep 2022 14:21:55 -0300

octave-netcdf (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * d/p/add-distclean-target.patch; Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Sep 2022 06:08:02 -0300

octave-netcdf (1.0.14-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean, d/s/options: Drop obsolete files
    + d/control: Build-depend on dh-octave >= 1.2.3
    + d/p/add-distclean-target.patch: New patch
  * d/copyright:
    + Accentuate my family name
    + Update copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 10:01:58 -0300
