=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libnetcdf-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
