## octave-netcdf 1.0.17

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2023 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -40,6 +40,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -158,6 +159,7 @@
 	$(MAKE) -C "$@" docs
 	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 endif
+	cd "$@" && $(RM) -rf devel
 ## Uncomment this if your src/Makefile.in has these targets for
 ## pre-building something for the release (e.g. documentation).
 #	cd "$@/src" && ./configure && $(MAKE) prebuild && \
@@ -268,17 +270,25 @@
 	$(RM) -f doc/octave-$(package).pdf
 	$(RM) -f doc/octave-$(package).html
 	$(RM) -f doc/functions.texi
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/octave-$(package).qhc doc/octave-$(package).qch
 
-doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(TEXI2PDF) octave-$(package).texi
 	# remove temp files
 	cd doc && $(RM) -f octave-$(package).aux  octave-$(package).cp  octave-$(package).cps  octave-$(package).fn  octave-$(package).fns  octave-$(package).log  octave-$(package).toc
 
-doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi
+doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  --no-split --output=octave-${package}.html octave-$(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 doc/octave-$(package).qhc: doc/octave-$(package).html
