=== debian/changelog ===
octave-netcdf (1.0.17-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:10:44 +1100

octave-netcdf (1.0.17-2build1) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:31 +0100

octave-netcdf (1.0.17-2) unstable; urgency=medium

  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * Build and install Qt Help files
    + d/control:
      - Build-depend on dh-octave >= 1.8.0
      - Build-depend on python3
    + d/patches/add-mkfuncdocs-py.patch: New patch
    + d/patches/add-mkqhcp-py.patch: New patch
    + d/rules: Use upstream Makefile for building the documentation
  * Build and install info documentation
    + d/octave-netcdf.doc-base: Add stanza for the info file
    + d/octave-netcdf.info: New file
    + d/rules: Build doc/octave-netcdf.info
  * d/s/lintian-overrides: Add override for Lintian warning
    very-long-line-length-in-source-file
  * d/octave-netcdf.docs: Install the CSS file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 11:57:59 -0300

octave-netcdf (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * d/copyright
    - Reflect upstream changes
    - Update Source URL
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes needed)
    - Update Homepage URL
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Sep 2023 00:39:06 -0300
