=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: octave-netcdf
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               libnetcdf-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/netcdf/
+               libnetcdf-dev,
+               python3,
+               texlive
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
 Testsuite: autopkgtest-pkg-octave
