=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
	make -k docs doc/octave-netcdf.info
endif
