## octave-netcdf 1.0.18

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -41,6 +42,7 @@
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
 pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_year := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" " | $(CUT) -f1 -d"-")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -157,7 +159,7 @@
 endif
 ifneq (,$(wildcard doc))
 	$(MAKE) -C "$@" docs
-	cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	#cd "$@" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 endif
 	cd "$@" && $(RM) -rf devel
 ## Uncomment this if your src/Makefile.in has these targets for
@@ -279,6 +281,7 @@
 	@echo "@set VERSION $(version)" >> $@
 	@echo "@set PACKAGE $(package)" >> $@
 	@echo "@set DATE $(pkg_date)" >> $@
+	@echo "@set YEAR $(pkg_year)" >> $@
 
 doc/octave-$(package).pdf: doc/octave-$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(TEXI2PDF) octave-$(package).texi
@@ -286,15 +289,18 @@
 	cd doc && $(RM) -f octave-$(package).aux  octave-$(package).cp  octave-$(package).cps  octave-$(package).fn  octave-$(package).fns  octave-$(package).log  octave-$(package).toc
 
 doc/octave-$(package).html: doc/octave-$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  --no-split --output=octave-${package}.html octave-$(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(GIT_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave-$(package).css  $(MAKEINFO_HTML_OPTIONS)  --output=octave-${package}.html octave-$(package).texi
 
 doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 doc/octave-$(package).qhc: doc/octave-$(package).html
-	# try also create qch file if can
+ifeq ($(QHELPGENERATOR),true)
+	$(warning No QHELPGENERATOR ... skipping QT doc build)
+else
 	cd doc && ./mkqhcp.py octave-$(package) && $(QHELPGENERATOR) octave-$(package).qhcp -o octave-$(package).qhc
 	cd doc && $(RM) octave-$(package).qhcp octave-$(package).qhp
+endif
 
 ##
 ## CLEAN
@@ -306,6 +312,3 @@
 	@echo "## Removing target directory (if empty)..."
 	-test -e $(target_dir) && rmdir $(target_dir)
 	@echo
-	@echo "## Cleaning done"
-	@echo
-
