=== debian/changelog ===
octave-netcdf (1.0.18-2) unstable; urgency=medium

  * d/rules: Explicitly make docs before doc/octave-netcdf.info.
    This avoids a race condition when using GNUMAKEFLAGS=--shuffle.
    (Closes: #1105435)
  * d/watch: Convert to format version 5
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/s/lintian-overrides: Adjust override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 13:41:29 -0300

octave-netcdf (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
  * Drop patches (applied upstream):
    + d/p/add-mkfuncdocs-py.patch:
    + d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 29 Sep 2024 09:07:09 -0300
