=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: octave-netcdf
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
                libnetcdf-dev,
-               python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-netcdf
 Architecture: any
