=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,6 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
 	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
-	make -k docs doc/octave-netcdf.info
+	make -k docs
+	make -k doc/octave-netcdf.info
 endif
