## octave-netcdf 1.0.19

=== DESCRIPTION ===
Name: netcdf
Version: 1.0.19
Date: 2025-01-03
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: netcdf
Description: A NetCDF interface for Octave
Depends: octave (>= 4.0.0)
BuildRequires: netcdf-devel [Fedora]
 libnetcdf-dev [Debian], netcdf-bin [Debian]
License: GPLv3+
Url: https://gnu-octave.github.io/octave-netcdf/
Repository: https://github.com/gnu-octave/octave-netcdf/
Tracker: https://github.com/gnu-octave/octave-netcdf/issues
