=== debian/changelog ===
octave-netcdf (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * d/s/lintian-overrides: Drop unused override for
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Reflect upstream changes
  * d/u/metadata: Update upstream URLs
  * d/watch: Update location of upstream tarball
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/salsa-ci.yml: Add CI pipeline

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 09:30:39 +0000
