=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-netcdf
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +8,7 @@
                libnetcdf-dev,
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/netcdf/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-netcdf.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-netcdf
