=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/netcdf/
Matching-Pattern: https://github.com/gnu-octave/octave-netcdf/releases/download/.*/netcdf-@ANY_VERSION@@ARCHIVE_EXT@
